set_property CFGBVS VCCO [current_design]
set_property CONFIG_VOLTAGE 3.3 [current_design]
set_property BITSTREAM.CONFIG.UNUSEDPIN PULLUP [current_design]

#############SPI Configurate Setting##################
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]
set_property CONFIG_MODE SPIx4 [current_design]
set_property BITSTREAM.CONFIG.CONFIGRATE 50 [current_design]

############## clock and reset define##################
create_clock -period 20.000 -waveform {0.000 5.000} [get_ports clk50]
set_property PACKAGE_PIN H11 [get_ports clk50]
set_property IOSTANDARD LVCMOS18 [get_ports clk50]
###set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets {CLK50MHz_IBUF}]

#LEDs
set_property -dict {PACKAGE_PIN C4 IOSTANDARD LVCMOS33} [get_ports led]

#UART
set_property -dict {PACKAGE_PIN P4 IOSTANDARD LVCMOS33} [get_ports uart_txT]

#SRAM pins        
set_property -dict {PACKAGE_PIN P3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_CLK]
set_property -dict {PACKAGE_PIN P2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_MODE]
set_property -dict {PACKAGE_PIN N1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_CS_B]      

set_property -dict {PACKAGE_PIN A4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_OE_B]
set_property -dict {PACKAGE_PIN A5 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_WE_B]
set_property -dict {PACKAGE_PIN C3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_ADV_LD_B]        
set_property -dict {PACKAGE_PIN D3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_BW0]
set_property -dict {PACKAGE_PIN B5 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_BW1]
        
#SRAM_ADDR
set_property -dict {PACKAGE_PIN M5 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A1]
set_property -dict {PACKAGE_PIN M4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A2]
set_property -dict {PACKAGE_PIN M3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A3]
set_property -dict {PACKAGE_PIN M2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A4]
set_property -dict {PACKAGE_PIN M1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A5]
set_property -dict {PACKAGE_PIN L1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A6]
set_property -dict {PACKAGE_PIN L3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A7]
set_property -dict {PACKAGE_PIN L2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A8]
set_property -dict {PACKAGE_PIN K4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A9]
set_property -dict {PACKAGE_PIN K3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A10]
set_property -dict {PACKAGE_PIN J4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A11]
set_property -dict {PACKAGE_PIN J3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A12]
set_property -dict {PACKAGE_PIN J2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A13]
set_property -dict {PACKAGE_PIN J1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A14]
set_property -dict {PACKAGE_PIN H3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A15]
set_property -dict {PACKAGE_PIN H4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A16]
set_property -dict {PACKAGE_PIN H1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A17]
set_property -dict {PACKAGE_PIN H2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_A18]

#SRAM_DQ
#set_property IOSTANDARD LVCMOS33 [get_ports {SRAM_DQ[*]}]

set_property -dict {PACKAGE_PIN F4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D0]
set_property -dict {PACKAGE_PIN G4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D1]
set_property -dict {PACKAGE_PIN F3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D2]
set_property -dict {PACKAGE_PIN F2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D3]
set_property -dict {PACKAGE_PIN F1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D4]
set_property -dict {PACKAGE_PIN G1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D5]
set_property -dict {PACKAGE_PIN C1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D6]
set_property -dict {PACKAGE_PIN D1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D7]
set_property -dict {PACKAGE_PIN D2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D8]
set_property -dict {PACKAGE_PIN E2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D9]
set_property -dict {PACKAGE_PIN B2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D10]
set_property -dict {PACKAGE_PIN B1 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D11]
set_property -dict {PACKAGE_PIN D4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D12]
set_property -dict {PACKAGE_PIN E4 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D13]
set_property -dict {PACKAGE_PIN B3 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D14]
set_property -dict {PACKAGE_PIN A2 IOSTANDARD LVCMOS33} [get_ports sramCTRL_SRAM_FLASH_D15]

#sYGNALY STERUJACE sram ic
set_property -dict {PACKAGE_PIN P13 IOSTANDARD LVCMOS18} [get_ports sramCTRL_wb_tga_i]
set_property -dict {PACKAGE_PIN H12 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_sel_i[0]}]
set_property -dict {PACKAGE_PIN M10 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_sel_i[1]}]
set_property -dict {PACKAGE_PIN P11 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_cti_i[0]}]
set_property -dict {PACKAGE_PIN P10 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_cti_i[1]}]
set_property -dict {PACKAGE_PIN N11 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_cti_i[2]}]
set_property -dict {PACKAGE_PIN N10 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_bte_i[0]}]
set_property -dict {PACKAGE_PIN M12 IOSTANDARD LVCMOS18} [get_ports {sramCTRL_wb_bte_i[1]}]
set_property -dict {PACKAGE_PIN M11 IOSTANDARD LVCMOS18} [get_ports sramCTRL_wb_err_o]