----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 05/30/2021 01:45:40 PM
-- Design Name: 
-- Module Name: Top_InstantSoC - SOCArch
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Top_InstantSoC is
    Port ( clk50 : in STD_LOGIC;
           led : out STD_LOGIC;
           uart_txT : out STD_LOGIC;          
        sramCTRL_SRAM_CLK        : out STD_LOGIC;
        sramCTRL_SRAM_MODE       : out STD_LOGIC;
        sramCTRL_SRAM_CS_B       : out STD_LOGIC;
        sramCTRL_SRAM_OE_B       : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_WE_B : out STD_LOGIC;
        sramCTRL_SRAM_ADV_LD_B   : out STD_LOGIC;
        sramCTRL_SRAM_BW0        : out STD_LOGIC;
        sramCTRL_SRAM_BW1        : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A1   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A2   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A3   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A4   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A5   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A6   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A7   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A8   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A9   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A10  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A11  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A12  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A13  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A14  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A15  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A16  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A17  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A18  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_D0   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D1   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D2   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D3   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D4   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D5   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D6   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D7   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D8   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D9   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D10  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D11  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D12  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D13  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D14  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D15  : inout STD_LOGIC;
        sramCTRL_wb_sel_i        : in std_logic_vector(1 downto 0);
        sramCTRL_wb_cti_i        : in std_logic_vector(2 downto 0);
        sramCTRL_wb_bte_i        : in std_logic_vector(1 downto 0);
        sramCTRL_wb_err_o        : out std_logic;
        sramCTRL_wb_tga_i        : in std_logic
           );
end Top_InstantSoC;

architecture SOCArch of Top_InstantSoC is

component clk_wiz_1 is
   port (
      clk_in1 : in STD_LOGIC;
      clk_out1 : out STD_LOGIC
     );
 end component;
 
 component example is
  port(
        clk                      : in std_logic;    --  100 MHz
        led                      : out std_logic;
        uart_tx                  : out std_logic;    --  32 Bytes FIFO
        sramCTRL_SRAM_CLK        : out STD_LOGIC;
        sramCTRL_SRAM_MODE       : out STD_LOGIC;
        sramCTRL_SRAM_CS_B       : out STD_LOGIC;
        sramCTRL_SRAM_OE_B       : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_WE_B : out STD_LOGIC;
        sramCTRL_SRAM_ADV_LD_B   : out STD_LOGIC;
        sramCTRL_SRAM_BW0        : out STD_LOGIC;
        sramCTRL_SRAM_BW1        : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A1   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A2   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A3   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A4   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A5   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A6   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A7   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A8   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A9   : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A10  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A11  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A12  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A13  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A14  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A15  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A16  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A17  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_A18  : out STD_LOGIC;
        sramCTRL_SRAM_FLASH_D0   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D1   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D2   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D3   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D4   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D5   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D6   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D7   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D8   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D9   : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D10  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D11  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D12  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D13  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D14  : inout STD_LOGIC;
        sramCTRL_SRAM_FLASH_D15  : inout STD_LOGIC;
        sramCTRL_wb_sel_i        : in std_logic_vector(1 downto 0);
        sramCTRL_wb_cti_i        : in std_logic_vector(2 downto 0);
        sramCTRL_wb_bte_i        : in std_logic_vector(1 downto 0);
        sramCTRL_wb_err_o        : out std_logic;
        sramCTRL_wb_tga_i        : in std_logic
    );           
 end component;
 
 signal clk100MHz :  STD_LOGIC;

begin

clk_pll_i : component clk_wiz_1
     port map (
      clk_in1 => clk50,
      clk_out1 => clk100MHz
 );
 
 CPU: example port map (
              clk100MHz, 
              led, 
              uart_txT,
        sramCTRL_SRAM_CLK,
        sramCTRL_SRAM_MODE,
        sramCTRL_SRAM_CS_B,
        sramCTRL_SRAM_OE_B,
        sramCTRL_SRAM_FLASH_WE_B,
        sramCTRL_SRAM_ADV_LD_B,
        sramCTRL_SRAM_BW0,
        sramCTRL_SRAM_BW1,
        sramCTRL_SRAM_FLASH_A1,
        sramCTRL_SRAM_FLASH_A2,
        sramCTRL_SRAM_FLASH_A3,
        sramCTRL_SRAM_FLASH_A4,
        sramCTRL_SRAM_FLASH_A5,
        sramCTRL_SRAM_FLASH_A6,
        sramCTRL_SRAM_FLASH_A7,
        sramCTRL_SRAM_FLASH_A8,
        sramCTRL_SRAM_FLASH_A9,
        sramCTRL_SRAM_FLASH_A10 ,
        sramCTRL_SRAM_FLASH_A11,
        sramCTRL_SRAM_FLASH_A12,
        sramCTRL_SRAM_FLASH_A13,
        sramCTRL_SRAM_FLASH_A14,
        sramCTRL_SRAM_FLASH_A15,
        sramCTRL_SRAM_FLASH_A16,
        sramCTRL_SRAM_FLASH_A17,
        sramCTRL_SRAM_FLASH_A18,
        sramCTRL_SRAM_FLASH_D0,
        sramCTRL_SRAM_FLASH_D1,
        sramCTRL_SRAM_FLASH_D2,
        sramCTRL_SRAM_FLASH_D3,
        sramCTRL_SRAM_FLASH_D4,
        sramCTRL_SRAM_FLASH_D5,
        sramCTRL_SRAM_FLASH_D6,
        sramCTRL_SRAM_FLASH_D7,
        sramCTRL_SRAM_FLASH_D8,
        sramCTRL_SRAM_FLASH_D9,
        sramCTRL_SRAM_FLASH_D10,
        sramCTRL_SRAM_FLASH_D11,
        sramCTRL_SRAM_FLASH_D12,
        sramCTRL_SRAM_FLASH_D13,
        sramCTRL_SRAM_FLASH_D14,
        sramCTRL_SRAM_FLASH_D15,
        sramCTRL_wb_sel_i,
        sramCTRL_wb_cti_i,
        sramCTRL_wb_bte_i,
        sramCTRL_wb_err_o,
        sramCTRL_wb_tga_i
    );           


end SOCArch;
